HPE 9000 and HPE e3000 Servers
cancel
Showing results for 
Search instead for 
Did you mean: 

fw upgrade for midrange pa-risc servers

 
avik
Valued Contributor

fw upgrade for midrange pa-risc servers

I am planning to upgrade the firmwares of couple of mid range servers (7400 & 8400 series). I would like to upgrade the firwares to the latest version.

a. Can I upgrade the firmware directly to the latest version irrespective of the level of existing fw versions that these boxes are running with?

b. I have the following firmwares downloaded for 7420. How do I identify what firmware is for what part in the system ?

cio_2.11.0b.osp
eventDic1.15.bin
gpm_1.3.0b.osp
matcio_2.11.0b.osp
mp_A.7.08.0.bin
pdhc_1.10.0.osp
pdhc_A.3.27.0.bin
pinn.bin.23.1.fh

c. Whats the difference between a fw & osp commands ?

This is my existing fw version for one of the 7410 box.
MP:CM> sysrev

Cabinet FPGA and Firmware revision report

System Backplane : GPM FM OSP
------- ------- -------
1.002 1.002 1.001

PCI Backplane : LPM HS
------- -------
1.002 1.000

LPM BOB DRAIN PDHC PDC
------- ------- ------- ------- -------
CELL 0 : 0.000 0.000 0.000 0.000 0.000
CELL 1 : 2.002 1.000 1.000 2.002 16.011

FPGA MP
------- -------
Master Core IO : 1.001 4.009
Slave Core IO : 0.000 0.000


MP:CM>
5 REPLIES 5
Jai Gopal
Advisor

Re: fw upgrade for midrange pa-risc servers

The FW file mentioned will update following comp.

cio_2.11.0b.osp--This for Core IO
eventDic1.15.bin-->This is event dict.
gpm_1.3.0b.osp--> system backplane GPM

Rest i need to check and update u.
Steven E. Protter
Exalted Contributor

Re: fw upgrade for midrange pa-risc servers

Shalom,

There are notes in the same place you got the firmware that deal with this question. If you are near current the answer is usually yes, you can go directly to the latest version.

This topic should be dealt with in the server specific doc at http://docs.hp.com

In the end, you can try the upgrade, it will fail with a meaningless error meesage and no damage if an intermediate upgrade is required.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
avik
Valued Contributor

Re: fw upgrade for midrange pa-risc servers

I get this when I do the upgrade. Any idea what ?

**** Updating FPGA SYS FM ****
Failed to open Ftp socket
FTP connection failed

**** Updating FPGA OSP ****
Failed to open Ftp socket
FTP connection failed

**** Updating FPGA PCI HS ****
Failed to open Ftp socket
FTP connection failed

**** Updating FPGA PCI LPM ****
Failed to open Ftp socket
FTP connection failed

**** Updating FPGA BOB 1 ****
Failed to open Ftp socket
FTP connection failed

**** Updating FPGA DRAIN 1 ****
Failed to open Ftp socket
FTP connection failed

**** Updating FPGA LPM 1 ****
Failed to open Ftp socket
FTP connection failed

FPGA update failed for entity CIO 1.
DO NOT power cycle AC until it has been successfully updated!!!
FPGA update failed for entity SYS GPM.
DO NOT power cycle AC until it has been successfully updated!!!
FPGA update failed for entity SYS FM.
DO NOT power cycle AC until it has been successfully updated!!!
FPGA update failed for entity OSP.
DO NOT power cycle AC until it has been successfully updated!!!
FPGA update failed for entity PCI HS.
DO NOT power cycle AC until it has been successfully updated!!!
FPGA update failed for entity PCI LPM.
DO NOT power cycle AC until it has been successfully updated!!!
FPGA update failed for entity BOB 1.
DO NOT power cycle AC until it has been successfully updated!!!
FPGA update failed for entity DRAIN 1.
DO NOT power cycle AC until it has been successfully updated!!!
FPGA update failed for entity LPM 1.
DO NOT power cycle AC until it has been successfully updated!!!
OSP completed with errors.

MP:CM>
Thayanidhi
Honored Contributor

Re: fw upgrade for midrange pa-risc servers

Hi,
You have to carefully read the PDF comes with each firmware download, and read it "fully" before you start. The error indicates difficulty in connecting to ftp server. Are you using unix server as ftp server?
For windows only Bison ftp server (HP version) supported. Check that. In fact within the procedure there is way to check the ftp server.

Regds
TT
Attitude (not aptitude) determines altitude.
Bharath PSB
Advisor

Re: fw upgrade for midrange pa-risc servers

cio_2.11.0b.osp - Core IO
eventDic1.15.bin - Event Dictionary
gpm_1.3.0b.osp - backplane power manager
matcio_2.11.0b.osp -
mp_A.7.08.0.bin - Manageability processor
pdhc_1.10.0.osp - PDHC FPGA
pdhc_A.3.27.0.bin - cell PDHC controller
pinn.bin.23.1.fh - PDC (system firmware).

There is a procedure for upgrading the firmwares which I hope will be told to you by HP support people.

FW command can be used to upgrade only MP, ED, cell's PDHC controller and PDC firmwares. Where as the other firmware can be upgraded using the OSP Command. This is now removed in latest servers. The Sx1000 and Sx2000 servers use FW command to upgrade all the firmwares.